Delete Signal Agent
curl --request DELETE \
--url https://api.lemlist.com/api/watchlist \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/watchlist"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/watchlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/watchlist")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/watchlist",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"_id": "<string>",
"deleted": true,
"deletedCount": 123
}
}"watchListId must be a valid watch list ID""Unauthorized""Internal server error"Signal Agents
Delete Signal Agent
Deletes a Signal Agent (watch list).
DELETE
/
watchlist
Delete Signal Agent
Pass the
watchListId as a query parameter. The response reports how many documents were removed.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Signal Agent id to delete
Minimum string length:
1Response
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I